package com.bytedance.ies.nle.editor_jni;

import com.bytedance.covode.number.Covode;
import com.bytedance.frameworks.apm.trace.MethodCollector;

public class NLEPoint extends NLENode {
    public transient long LIZ;
    public transient boolean LIZIZ;

    static {
        Covode.recordClassIndex(29833);
    }

    public void finalize() {
        delete();
    }

    public NLEPoint() {
        this(NLEEditorJniJNI.new_NLEPoint());
        MethodCollector.i(18060);
        MethodCollector.o(18060);
    }

    public final float LIZ() {
        MethodCollector.i(18055);
        float NLEPoint_getX = NLEEditorJniJNI.NLEPoint_getX(this.LIZ, this);
        MethodCollector.o(18055);
        return NLEPoint_getX;
    }

    public final float LIZIZ() {
        MethodCollector.i(18057);
        float NLEPoint_getY = NLEEditorJniJNI.NLEPoint_getY(this.LIZ, this);
        MethodCollector.o(18057);
        return NLEPoint_getY;
    }

    public NLENode clone() {
        MethodCollector.i(18052);
        long NLEPoint_clone = NLEEditorJniJNI.NLEPoint_clone(this.LIZ, this);
        if (NLEPoint_clone == 0) {
            MethodCollector.o(18052);
            return null;
        }
        NLENode nLENode = new NLENode(NLEPoint_clone, true);
        MethodCollector.o(18052);
        return nLENode;
    }

    public synchronized void delete() {
        MethodCollector.i(18051);
        long j = this.LIZ;
        if (j != 0) {
            if (this.LIZIZ) {
                this.LIZIZ = false;
                NLEEditorJniJNI.delete_NLEPoint(j);
            }
            this.LIZ = 0;
        }
        super.delete();
        MethodCollector.o(18051);
    }

    public static long LIZ(NLEPoint nLEPoint) {
        if (nLEPoint == null) {
            return 0;
        }
        return nLEPoint.LIZ;
    }

    public void swigSetCMemOwn(boolean z) {
        this.LIZIZ = z;
        super.swigSetCMemOwn(z);
    }

    public NLEPoint(long j) {
        super(NLEEditorJniJNI.NLEPoint_SWIGSmartPtrUpcast(j), true);
        MethodCollector.i(17965);
        this.LIZIZ = true;
        this.LIZ = j;
        MethodCollector.o(17965);
    }

    public final void LIZ(float f) {
        MethodCollector.i(18053);
        NLEEditorJniJNI.NLEPoint_setX(this.LIZ, this, f);
        MethodCollector.o(18053);
    }

    public final void LIZIZ(float f) {
        MethodCollector.i(18056);
        NLEEditorJniJNI.NLEPoint_setY(this.LIZ, this, f);
        MethodCollector.o(18056);
    }
}
